Namespace
library
Image / Tag
swift:5.8.0-amazonlinux2-slim
Content Digest
sha256:cbd9061ae53ba532576ec999b46d1b4f236b070e05980fb5b54ee2a5953cba97
Details
Created

2023-05-13 01:41:19 UTC

Size

280 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:bf72c394abb748707ec4590d5017f36ad47098c9b92adc1b04c3ea3ba0b395f6 - 21.27% (59.6 MB)

[#001] sha256:48c86376a39d50e56b28d559cc2ede884c3e44da8c1dd39dbbe6f3522925f717 - 78.73% (221 MB)


History
2023-05-13 00:19:34 UTC

/bin/sh -c #(nop) COPY dir:7a824a76678fb4ef17879dcecd9fac65df3d1efbef31a3b874da9f49f49b6814 in /

2023-05-13 00:19:34 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-05-13 01:39:05 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-05-13 01:39:05 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-05-13 01:40:43 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-05-13 01:40:43 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2023-05-13 01:40:44 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-05-13 01:40:44 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-05-13 01:40:44 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-05-13 01:40:44 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-05-13 01:41:19 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip

Details
Created

2023-05-13 02:23:02 UTC

Size

246 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:7ed20885ae48fa1760360e568c1aaba07f51cc6d418715514060ff0826a40c72 - 24.87% (61.2 MB)

[#001] sha256:1df45e1c5628e0740c2fc0db1f199aebc8ebe6d70144aa767e120904e25d4d61 - 75.13% (185 MB)


History
2023-05-13 00:39:27 UTC

/bin/sh -c #(nop) COPY dir:71cecf11386ac326afd2beed7b45e00586f5b9ab017bb6ace5dec65e5aa62900 in /

2023-05-13 00:39:27 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-05-13 02:21:09 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-05-13 02:21:09 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.8-release

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.8-RELEASE

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-05-13 02:22:32 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.8-release SWIFT_VERSION=swift-5.8-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-05-13 02:23:02 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete